# Generated by Django 5.0.6 on 2024-07-02 06:13

from django.db import migrations, models


def prefill_title_suffix(apps, schema_editor):
    CzechInspirationalHomePage = apps.get_model(
        "czech_inspirational", "CzechInspirationalHomePage"
    )

    for page in CzechInspirationalHomePage.objects.all():
        page.meta_title_suffix = page.title_suffix
        page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("czech_inspirational", "0008_alter_czechinspirationalhomepage_title_suffix"),
    ]

    operations = [
        migrations.AddField(
            model_name="czechinspirationalhomepage",
            name="meta_title_suffix",
            field=models.CharField(
                blank=True,
                help_text='Umožňuje přidat příponu k titulku stránky běžně zobrazovanému na záložce s touto stránkou. Pokud vyplníš například "Piráti Pardubicko", záložka s kontakty bude nadepsaná "Kontakty | Piráti Pardubicko".',
                max_length=100,
                null=True,
                verbose_name="Přípona meta titulku stránky",
            ),
        ),
        migrations.AlterField(
            model_name="czechinspirationalhomepage",
            name="title_suffix",
            field=models.CharField(
                blank=True,
                help_text='Umožňuje přidat příponu k názvu stránky. Pokud vyplníš například "Pardubicko", v levém horním rohu bude logo Pirátské strany a text "| Pardubicko".',
                max_length=100,
                null=True,
                verbose_name="Přípona názvu stránky",
            ),
        ),
        migrations.RunPython(prefill_title_suffix),
    ]
